mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.AsymmetricKeyExchangeDeformatter System.Runtime.InteropServices.ComVisible(true)

Key exchange allows a sender to create secret information, for example, random data that can be used as a key in a symmetric encryption algorithm, and use encryption to send it to the intended recipient.

Use to create the key exchange message with the algorithm.

It is highly recommended that you not attempt to create your own key exchange method from the basic functionality provided, because many details of the operation must be performed carefully in order for the key exchange to be successful.

Decrypts Optimal Asymmetric Encryption Padding (OAEP) key exchange data.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Use to establish the key before calling .

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the specified key.

  The instance of the algorithm that holds the private key.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] ``

  You must specify a key before calling this method.

  Extracts secret information from the encrypted key exchange data.

  The secret information derived from the key exchange data.

  The key exchange data within which the secret information is hidden.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the parameters for the Optimal Asymmetric Encryption Padding (OAEP) key exchange.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  You must set a key before calling .

  Sets the private key to use for decrypting the secret information.

  The instance of the algorithm that holds the private key.